Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class UnknownUserExceptionHelper

    java.lang.Object
      org.omg.CORBA.UnknownUserExceptionHelper

    public abstract class UnknownUserExceptionHelper

extends Object

The Helper for `UnknownUserException`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/UnknownUserExceptionHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from CORBA.idl Thursday, August 24, 2000 5:52:22 PM PDT

Constructor Summary
`UnknownUserExceptionHelper()`

Method Summary
`static UnknownUserException` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, UnknownUserException that)`
`static UnknownUserException` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, UnknownUserException value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnknownUserExceptionHelper

    public UnknownUserExceptionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              UnknownUserException that)

### extract

    public static UnknownUserException extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static UnknownUserException read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             UnknownUserException value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.